


<div class="box_card" style="margin:auto; margin:20px 8px 0 8px;">
  <fieldset>
    <LEGEND style="text-align:center">SEMÁNTICO</LEGEND>
     <div class="form-group">
      <input type="text" class="form-control" id="contentSearch" placeholder="Escribe palabra a buscar">
      <input type="text" class="form-control" id="limitSearch" placeholder="Límita el número de posts obtenidos">
    </div>

    
  </fieldset>
</div>

<button style="margin:20px" id="search_by_content_and_engadgement" type="submit" class="btn btn-primary">Aplicar filtros</button>

<button style="margin:20px" id="toggle_heatmap" type="submit" class="btn btn-outline-primary">Toggle Heatmap</button>

  <p style="font-size:16px" id="results">Resultado: 9438 negocios.</p>

<script>


  $( "#toggle_heatmap" ).click(function() {
    toggle_heatmap();
  })


  $( "#search_by_content_and_engadgement" ).click(function() {
    var engadgement = get_engadgement();
    var min_fans = get_min_fans_count();
    var max_fans = get_max_fans_count();
    var zip = get_zip();
    var vertical = get_verticals();
    var search = get_content_search();
    var limitSearch = get_limit_search();
    var limitRetailers = get_limit_retailers();
    search_retailers_by_posts_content(search, engadgement, min_fans, max_fans, vertical, limitSearch, limitRetailers, zip);
    empty_business_table_on_the_right();
  });

  function empty_business_table_on_the_right(){
    $("#retailer_table_info").html("");
  }

  function get_limit_search() {
    var limitSearch = $('#limitSearch').val();
    if (limitSearch == '') return 0;
    else return limitSearch;
  }

  function get_content_search() {
    global_var_content = $('#contentSearch').val();
    return $('#contentSearch').val();
  }

  function search_retailers_by_posts_content(content, engadgement, min_fans, max_fans, vertical, limitSearch, limitRetailers, zip){
    $(".spinner-wrapper").show();

    $.get(
      "/get_retailers_by_posts_content",
      "content=" + content + "&engadgement=" + engadgement + "&min_fans=" + min_fans + "&max_fans=" +max_fans + "&vertical=" + vertical + "&limitSearch=" + limitSearch + "&limitRetailers=" + limitRetailers + "&zip=" + zip,
      function(points) { 

          clear_markers();
          var jsonPointsArray = $.parseJSON('[' + points + ']')[0];
          $("#results").html("Resultado : " + jsonPointsArray.length + " negocios");

          var itemsProcessed = 0

          jsonPointsArray.forEach(function(point) {
              add_marker(point);
              itemsProcessed++;
              if(itemsProcessed === jsonPointsArray.length) {
                $(".spinner-wrapper").hide();
              }
          })
          apply_clusters();
      },
      "html"
    );

  }



</script>
